Skip to content
Cipay
Esc
navigateopen⌘Jpreview

Get a Webhook Delivery

GET/v2/webhook-endpoints/{id}/deliveries/{deliveryId}
Authorization
AuthorizationBearer token · headerrequired
Merchant API key scoped to one merchant and environment. Read operations require api:read, normal write operations require api:write, and broadcast mutations also require explicit broadcasts:write.
Path parameters
idstring<uuid>required
deliveryIdstring<uuid>required
Header parameters
x-request-idstring
Optional caller-provided request correlation ID.
min length 1
Responses
200OK
deliveryobjectrequired
Show properties
idstring<uuid>required
eventIdstring<uuid>required
eventScopestringrequired
Allowed:organizationcommerce
endpointIdstring<uuid>required
endpointScopestringrequired
Allowed:organizationsandboxproduction
merchantIdstring<uuid>required
environmentstring | anyrequired
Show properties
Any of:
string
string
any
any
statusstringrequired
Allowed:pendingprocessingsucceededfailed
attemptCountintegerrequired
min 0 · max 9007199254740991
lastAttemptAtstring<date-time> | anyrequired
Show properties
Any of:
string<date-time>
string<date-time>
any
any
lastResponseStatusCodeinteger | anyrequired
Show properties
Any of:
integer
integer
any
any
lastResponseSummarystring | anyrequired
Show properties
Any of:
string
string
any
any
lastFailureCodestring | anyrequired
Show properties
Any of:
string
string
any
any
succeededAtstring<date-time> | anyrequired
Show properties
Any of:
string<date-time>
string<date-time>
any
any
failedAtstring<date-time> | anyrequired
Show properties
Any of:
string<date-time>
string<date-time>
any
any
createdAtstring<date-time>required
updatedAtstring<date-time>required
requestBodystringrequired
requestBodySha256stringrequired
matches ^[a-f0-9]{64}$
attemptsobject[]required
Show properties
Array of object
idstring<uuid>required
deliveryIdstring<uuid>required
endpointIdstring<uuid>required
endpointScopestringrequired
Allowed:organizationsandboxproduction
eventScopestringrequired
Allowed:organizationcommerce
merchantIdstring<uuid>required
environmentstring | anyrequired
Show properties
Any of:
string
string
any
any
attemptNumberintegerrequired
min -9007199254740991 · max 9007199254740991
causestringrequired
Allowed:automaticmanual_replay
statusstringrequired
Allowed:succeededfailedblocked
responseStatusCodeinteger | anyrequired
Show properties
Any of:
integer
integer
any
any
responseSummarystring | anyrequired
Show properties
Any of:
string
string
any
any
durationMsinteger | anyrequired
Show properties
Any of:
integer
integer
any
any
failureCodestring | anyrequired
Show properties
Any of:
string
string
any
any
startedAtstring<date-time>required
completedAtstring<date-time>required
createdAtstring<date-time>required
401Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
403Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
404Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
409Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
422Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
429Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
500Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
Request
curl -X GET "https://api.cipay.net/v2/webhook-endpoints/%3Cuuid%3E/deliveries/%3Cuuid%3E" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "delivery": {
    "id": "<uuid>",
    "eventId": "<uuid>",
    "eventScope": "organization",
    "endpointId": "<uuid>",
    "endpointScope": "organization",
    "merchantId": "<uuid>",
    "environment": "sandbox",
    "status": "pending",
    "attemptCount": 0,
    "lastAttemptAt": "2024-01-01T00:00:00Z",
    "lastResponseStatusCode": 0,
    "lastResponseSummary": "string",
    "lastFailureCode": "string",
    "succeededAt": "2024-01-01T00:00:00Z",
    "failedAt": "2024-01-01T00:00:00Z",
    "createdAt": "2024-01-01T00:00:00Z",
    "updatedAt": "2024-01-01T00:00:00Z"
  },
  "requestBody": "string",
  "requestBodySha256": "string",
  "attempts": [
    {
      "id": "<uuid>",
      "deliveryId": "<uuid>",
      "endpointId": "<uuid>",
      "endpointScope": "organization",
      "eventScope": "organization",
      "merchantId": "<uuid>",
      "environment": "sandbox",
      "attemptNumber": 0,
      "cause": "automatic",
      "status": "succeeded",
      "responseStatusCode": 0,
      "responseSummary": "string",
      "durationMs": 0,
      "failureCode": "string",
      "startedAt": "2024-01-01T00:00:00Z",
      "completedAt": "2024-01-01T00:00:00Z",
      "createdAt": "2024-01-01T00:00:00Z"
    }
  ]
}